///*
// * 基础类
// */http://192.168.1.221:9012/ManagerUI/PCodeUI/MainEdit.aspx


/*
 * 基础类
 */
var lb = {
    //当前APP的版本号
    banben: '1.1.13',
	/* 判断版本号大小*/
    compare: function(curV, reqV) {
		if (curV && reqV) {
			//将两个版本号拆成数字
			var arr1 = curV.split('.'),
				arr2 = reqV.split('.');
			var minLength = Math.min(arr1.length, arr2.length),
				position = 0,
				diff = 0;
			//依次比较版本号每一位大小，当对比得出结果后跳出循环（后文有简单介绍）
			while (position < minLength && ((diff = parseInt(arr1[position]) - parseInt(arr2[position])) == 0)) {
				position++;
			}
			diff = (diff != 0) ? diff : (arr1.length - arr2.length);
			//若curV大于reqV，则返回true
			return diff > 0;
		} else {
			//输入为空
			console.log("版本号不能为空");
			return false;
		}
	},
	//检查版本信息
    autoData: function (fun, isupdate) {
        //默认非强制更新   true强制更新
        if (isupdate == undefined) isupdate = false;
        this.submit({
            cmd: "gengxin", data: {},
            fun: function (ret, err) {
                try {
                    var dat = eval('(' + ret + ')');
                    var ds = dat.msg.ds[0];
                    if (isupdate) {
                        if (fun != undefined) fun(ds);
                    }
                } catch (e) { }
            }
        });
    },
	//基础配置类
	config: {
		ip: "http://47.91.250.49:8888", //请求IP
		url: "/DInterface/app.ashx", //接口地址
		ImgUrl: "Server/Upload.aspx", //上传图片提交
		ajaxStatus: true, //ajax防止重复提交处理
		ms: 2000, //提示时间
		ios:'http://www.eastled.com/dqh.apk',//软件更新地址
		iosName:'dqh.apk',//文件包名称 用于保存本地
		Android:'http://www.eastled.com/dqh.apk',//软件更新地址
		AndroidName:'dqh.apk'//文件包名称 用于保存本地
	},
	//提交
	/*
	 boola: 1表示显示加载遮罩层1111
	 cmd：表示接口执行名称
	 data：比如：{"a":1,"b":"ssss"}
	 imgs:比如：['../','']
	 fun:function(ret,err){}
	 */
	submit: function (opt) {
	    opt = $.extend({
	        //是否显示加载遮罩层
	        boola: 1,
	        cmd: '',
	        url:'',
	        data: {},
	        //上传图片地址集合
	        imgs: [], fun: function (ret, err) { }
	    }, opt);
		//显示加载遮罩层
		if (opt.boola == 1) lb.ts.jiazaiShow();
		//接口地址
		if(opt.url=='') opt.url=this.config.url;
		
		//提交方式
		api.ajax({
		    url: "" + this.config.ip + opt.url + '?cmd=' + opt.cmd,
			timeout: 30,
			method: "post",
			dataType: 'text',
			returnAll: false,
			data: {
				//普通数据
			    values: opt.data,
				 //图片数组 ['../','']
				files: { file: opt.imgs }
			}
		}, function(ret, err) {
			//显示加载遮罩层
		    if (opt.boola == 1) lb.ts.jiazaiHide();
		    opt.fun(ret, err);
		});
	},
	//调试用的提示信息。
	debugAlert:function(contentMsg){
		alert(contentMsg);
	},
    /********************************时间日期选择 begin*******************************/
    //获取当前时间
    nowDate: function () {
        var now = new Date();

        var year = now.getFullYear();

        var month = now.getMonth() + 1;
        if (month > 12) month = 1;
        var date = now.getDate();

        return {
            year: year,
            month: month,
            day: date,
            getTime: now.getTime()
        };
    },
    /********************************时间日期选择 end*******************************/   
	//引入包
	bao: {
		//手机相册,封装了从媒体库（相册）读取资源的功能
		uiMediaScanner: function() {
			return api.require('UIMediaScanner');
		},
		//融云* 引入融云包
		rongCloud2: function() {
			return api.require('rongCloud2');
		},
		//imageFilter 模块封装了对图片按照指定效果过滤的功能，过滤后的图片可保存到指定目录
		imageFilter: function() {
			return api.require('imageFilter');
		},
		//微信
		wx: function() {
			return api.require('wx');
		},
		//QQ
		qq: function() {
			return api.require('qq');
		},
		//引入极光包
		ajpush: function() {
			return api.require('ajpush');
		},
		//二维码
		FNScanner: function() {
			return api.require('FNScanner');
		},
		//输入框
		UIChatBox: function() {
			return api.require('UIChatBox');
		},
		//短信
		smsVerify: function() {
			return api.require('smsVerify');
		},
		//X5浏览器引擎
		webBrowser: function() {
			return api.require('webBrowser');
		},
		//系统默认分享
		shareAction: function() {
			return api.require('shareAction');
		},
		//微信支付
		//支付宝支付
		zhifubao:function(){
			var aliPay = api.require('aliPay');
			return aliPay;
		}
	},

	//登陆信息
	login: {
		//用户ID
		Userid: function() {
			var Uid = lb.data.get("Userid", "");
			return Uid;
		},
		//用户信息
		UserData: function() {
			var UserData = lb.data.get("UserData", "");
			return UserData;
		}
	},
    //允许多次提交
    zzcsubmit: function (Cmd, data,callback, option) {
        option = $.extend(true, {
            ajaxStatus: false, /* true 强制提交 */
        	jz: true, /* true 显示加载中 */
			U: false, /* true 判断是否验证后登陆 */
            Ip: "", /* 是否更新请求地址 有则更新路径 ip不变 */
            Url: "", /* 是否更新请求地址 有则更新路径 ip不变 */
            dataType: "json",
            timeout: 20000,
        }, option);
        if (option.jz == false){
            lb.ts.jiazaiShow();
        }

        //强制提交
        if(option.ajaxStatus == true) {
            lb.config.ajaxStatus = true;
        }

        //防止重复提交
        if (lb.config.ajaxStatus == false) {
            lb.ts.toast("请求过于频繁，请稍后重试...");
            return false;
        }

        lb.config.ajaxStatus = false; //禁止提交
        var wangluo = lb.sb.wangluo.Type(); //读取当前网络环境
        if (wangluo == "none") {
            lb.ts.toast("请连接网络后重试...");
            lb.config.ajaxStatus = true; //解除提交
            lb.sb.jiazaiHide();
            return false;
        }

        //判断是否需要验证用户登录
        if(option.U == true) {
            if(lb.login.Userid() <= 0) {
                lb.config.ajaxStatus = true; //解除提交
                lb.sb.jiazaiHide();
                lb.ts.toast("请登录后操作");
                return false;
            }
        }


        //是否重配IP/如果检测到用新的Ip配置则以当前配置为准
        var Ip = lb.data.JsonGet(option, "Ip", "");
        var Ips = ""; //定义临时请求路径
        if(Ip != "") {
            Ips = Ip; //有定义新路径
        } else {
            Ips = lb.config.ip; //请求默认路径
        }

        //是否重配URL路径/如果检测到用新的URL配置则以当前配置为准
        var opturl = lb.data.JsonGet(option, "Url", "");
        var linshiUrl = ""; //定义临时请求路径
        if(opturl != "") {
            linshiUrl = opturl; //有定义新路径
        } else {
            linshiUrl = lb.config.url; //请求默认路径
        }

        //接口组合
        var urls = Ips + linshiUrl + '?Cmd=' + Cmd;

        $.ajax({
            url: urls,
            data: data,
            type: "POST",
            timeout : option.timeout, //超时时间设置，单位毫秒
            dataType: option.dataType,
            success:function (ret1) {
                lb.ts.jiazaiHide();
                lb.config.ajaxStatus = true;
                console.log("url: \r\n"+urls+"\r\n 提交参数: \r\n"+JSON.stringify(data)+"\r\n 返回ret: "+ JSON.stringify(ret1))

                if (typeof(ret1) == "object"){
                    try {
                        if (ret1.status == "200"){
                            //数据转换
                            var ret = ret1.msg;
                            callback(ret,ret1);
                        }else {
                            lb.ts.toast(ret1.error);
                            return false;
                        }
                    }catch (e){
                        return false;
                    }
                }else{
                    if (ret1 == undefined || ret1 == ""){
                        lb.ts.toast("101:无法连接到网络")
                        return false;
                    }
                    if (JSON.stringify(ret1).indexOf("!DOCTYPE") != -1){
                        lb.ts.toast("102:无法连接到网络");
                        return false;
                    }
                    lb.ts.toast("103:"+JSON.stringify(ret1));
                }
            },
            error:function(XMLHttpRequest, textStatus, errorThrown){
                lb.ts.jiazaiHide();
                lb.config.ajaxStatus = true;
                console.log(textStatus);
                lb.ts.toast("104:"+textStatus);
            }
        });
    },
	//ajax请求服务端
	ajax: function(fun, Cmd, method, data, opt) {
		/*
		 * opt对象扩展文档
		 * opt.U 判断用户是否登陆 1是 其他则不验证
		 * opt.J 是否显示加载进度条 1不显示 其他则显示
		 * opt.Ip 是否更新请求地址 有则更新路径 ip不变
		 * opt.Url 是否更新请求地址 有则更新路径 ip不变
		 * opt.ajaxStatus  true 强制提交
		 * opt.imgs 图片上传 ['','']  扩展对象  
		 */
		try{
			
			//强制提交
			if(opt.ajaxStatus == true) {
				lb.config.ajaxStatus = true;
			}
	
			//防止重复提交
			if(lb.config.ajaxStatus == false) {
				lb.ts.toast("请求过于频繁，请稍后重试...");
				return;
			}
	
			lb.config.ajaxStatus = false; //禁止提交
			var wangluo = lb.sb.wangluo.Type(); //读取当前网络环境
			if(wangluo == "none") {
				lb.config.ajaxStatus = true; //解除提交
				lb.ts.toast("请连接网络后重试...");
				return;
			}
	
			//判断是否需要验证用户登录
			if(opt.U == 1) {
				if(lb.login.Userid() <= 0) {
					lb.config.ajaxStatus = true; //解除提交
					lb.ts.toast("请登录后操作");
					return;
				}
			}
	
			//如果opt对象J等于1 则隐藏   其他则显示
			if(opt.J != 1) {
				lb.ts.jiazaiShow(opt);
			}
	
			//是否重配IP/如果检测到用新的Ip配置则以当前配置为准
			var Ip = lb.data.JsonGet(opt, "Ip", "");
			var Ips = ""; //定义临时请求路径
			if(Ip != "") {
				Ips = Ip; //有定义新路径
			} else {
				Ips = lb.config.ip; //请求默认路径 
			}
	
			//是否重配URL路径/如果检测到用新的URL配置则以当前配置为准
			var opturl = lb.data.JsonGet(opt, "Url", "");
			var linshiUrl = ""; //定义临时请求路径
			if(opturl != "") {
				linshiUrl = opturl; //有定义新路径
			} else {
				linshiUrl = lb.config.url; //请求默认路径 
			}
	
			//接口组合
			var urls = Ips + linshiUrl + '?Cmd=' + Cmd;
			
			//提交方式
			api.ajax({
				url: "" + urls,
				tag: 'ajaxData',
				timeout: 30,
				method: "" + method,
				dataType: 'text',
				returnAll: false,
				data: {
					values: data, //普通数据
					files: {
						file: opt.imgs //图片数组 ['../','']
					}
				}
			}, function(ret, err) {
                console.log("url: \r\n"+urls+"\r\n 提交参数: \r\n"+JSON.stringify(data)+"\r\n 返回ret: "+ JSON.stringify(ret)+"\r\n 返回err :"+ JSON.stringify(err))
				//解除提交限制
				lb.config.ajaxStatus = true;
				lb.ts.jiazaiHide();
				fun(ret, err);
			});
		}catch(e){
			lb.ts.alert({msg:"网络异常："+JSON.stringify(e)});
		}
	},

	//打开窗体
	openWin: function(opt) {
		if(opt.U == 1) {
			if(lb.login.Userid() <= 0) {
				lb.ts.toast("请登录");
				return;
			}
		}
		var now = new Date();
		opt = $.extend(true, {
			name: 'name' + now.getTime(), //window 名字，不能为空字符串
			url: './page1.html', //支持相对路径和绝对路径以及 widget://、fs://等协议路径，远程地址
			bounces: false, //（可选项）页面是否弹动
			bgColor: '#ffffff', //（可选项）背景色，支持图片和颜色，格式为 #fff、#ffffff、rgba(r,g,b,a)等
			scrollToTop: true, //当点击状态栏，页面是否滚动到顶部只 iOS 有效
			vScrollBarEnabled: true, //是否显示垂直滚动条
			hScrollBarEnabled: true, //是否显示水平滚动条
			scaleEnabled: true, //页面是否可以缩放
			slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
			slidBackType: 'full', //当支持滑动返回时，设置手指在页面右滑的有效作用区域。取值范围（full:整个页面范围都可以右滑返回，edge:在页面左边缘右滑才可以返回）
			delay: 100, //window 显示延迟时间，适用于将被打开的 window 中可能需要打开有耗时操作的模块时，可延迟 window 展示到屏幕的时间，保持 UI 的整体性
			reload: false, //页面已经打开时，是否重新加载页面，重新加载页面后 apiready 方法将会被执行
			allowEdit: false, //是否允许长按页面时弹出选择菜单
			softInputMode: 'auto', //当键盘弹出时，输入框被盖住时，当前页面的调整方式
			customRefreshHeader: '', //设置使用自定义下拉刷新模块的名称，设置后可以使用 api.setCustomRefreshHeaderInfo 方法来使用自定义下拉刷新组件
			animation: {
				type: "push", //动画类型（详见动画类型常量）
				subType: "from_right", //动画子类型（详见动画子类型常量）
				duration: 300 //动画过渡时间，默认300毫秒
			},
			progress: { //页面加载进度配置信息，若不传则无加载进度效果
				type: "default", //加载进度效果类型，默认值为 default，取值范围为 default|page，default 等同于 showProgress 参数效果；为 page 时，进度效果为仿浏览器类型，固定在页面的顶部
				title: "打开中", //type 为 default 时显示的加载框标题
				text: "请稍等...", //type 为 default 时显示的加载框内容
				color: "" //type 为 page 时进度条的颜色，默认值为 #45C01A，支持#FFF，#FFFFFF，rgb(255,255,255)，rgba(255,255,255,1.0)等格式
			},
			pageParam: {
				name: 'test'
			}
		}, opt);
		//ios设备无需延迟
		if(lb.sb.systemType() == "ios") {
			opt.delay = 0; //延迟0秒
		}
		api.openWin(opt);
	},
	//打开一个窗体
	openFrame: function(name, url, xy, data) {
		//窗口高度
		xy = $.extend(true, {
			x: 0,
			y: 0,
			w: 320,
			h: 480
		}, xy);
		//数据传值
		data = $.extend(true, {
			name: 'test'
		}, data);

		api.openFrame({
			name: name,
			url: url,
			rect: xy,
			pageParam: data,
			bounces: true,
			bgColor: 'rgba(0,0,0,0)',
			vScrollBarEnabled: true,
			hScrollBarEnabled: true
		});
	},
    //打开一个窗体
    openFrame2: function (option) {
        option = $.extend(true, {
            name: 'name1',
            url: './page1.html',
            rect: {
                x: 0,
                y: 0,
                w: api.winWidth,
                h: api.winHeight+1
            },
            pageParam: {
                name: 'test'
            },
            bounces: false,
            bgColor: 'rgba(0,0,0,0)',
            vScrollBarEnabled: true,
            hScrollBarEnabled: true
        }, option);
        api.openFrame(option);
    },
	//数据操作类
	data: {
		//设置内存对象
		set: function(name, val) {
			api.setPrefs({
				key: name,
				value: val
			});
		},
		//获取内存对象
		get: function(key, moren) {
			if(moren == undefined) {
				moren = "";
			}
			var ret = api.getPrefs({
				sync: true,
				key: key
			});
			if(ret == undefined) {
				return moren;
			}
			return ret;
		},
		//移除内存对象
		remove: function(key) {
			api.removePrefs({
				key: key
			});
		},
		//转换int类型
		toInt: function(val, moren) {
			if(moren == undefined) moren = 0;
			if(val == undefined) return moren;
			var v = parseInt(val);
			if(isNaN(v)) v = moren;
			return v;
		},
		//转换成带小数点数字
		toFolat: function(_value1, _default) {
			if(_default == undefined) _default = 0;
			if(_value1 == undefined) return _default;
			var v = parseFloat(_value1);
			if(isNaN(v)) v = _default;
			return v;
		},
		//是否是数字
		isFinite: function(_value1) {
			var v = isFinite(_value1);
			return v;
		},
		//读取json对象
		JsonGet: function(obj, key, moren) {
			if(moren == undefined) moren = "";
			if(!this.is(obj, key)) {
				return moren;
			}
			return obj["" + key];
		},
		//是否存在节点
		is: function(obj, key) {
			return("" + key in obj);
		},
		//设置监听
		jtset: function(name, data) {
			api.sendEvent({
				name: '' + name + '',
				extra: data
			});
		},
		//获取监听
		jtget: function(name, show) {
			api.addEventListener({
				name: name
			}, function(ret, err) {
				show(ret.value);
			});
		},
		//移除监听
		jtremove: function(name) {
			api.removeEventListener({
				name: '' + name + ''
			});
		},
		//监听状态栏点击事件
		jtzhuangtailan: function(show) {
			api.addEventListener({
				name: 'noticeclicked'
			}, function(ret, err) {
				show(ret);
			});
		},
		//表单验证
		biaodan: {
			/* 表单验证  Type 
			 * * 字符串类型 
			 * m 手机号
			 * e 邮箱
			 * n 数字
			 * db 对比是否相同
			 * off 不验证采取数据
			 * no 有值则验证，无信息则采取数据
			 * data 时间格式
			 * ------------------------------
			 * Id 标签ID
			 * Name 标签名
			 * Null 为空提示
			 * Err 异常提示
			 * dbId 对比的ID[用于是否相同]
			 * Zs 是否为整数  1是  2否 
			 * Len 3-8 字符串为长度   n类型 则为 大于3 小于8
			 * wk 为空验证 1可以为空
			 */
			yanzheng: function(Ids, datas) {
				var obj = "{";
				for(var i = 0; i < Ids.length; i++) {
					var Datalb = $("#" + Ids[i]).data("lb"); //获取类型
					if(Datalb == undefined) {
						alert('键名【' + Ids[i] + '】无法获取');
						return;
					}
					var data = eval('(' + Datalb + ')'); //转换对象
					var val = $("#" + Ids[i]).val(); //获取参数
					//字符串类型
					if(data.Type == "*") {
						//是否为空
						if(data.wk != 1) {
							//判断为空
							if(val == "") {
								if(data.Null != undefined) {
									//自定义提示
									alert(data.Null);
									return;
								}
								alert(data.Name + '不能为空');
								return;
							}
						}

						//判断字符串长度限制
						if(data.Len != undefined) {
							var lens = lb.ty.Split(data.Len, "-"); //拆分字符串长度
							if(val.length < lens[0] || val.length > lens[1]) {
								if(lens[0] == lens[1]) {
									alert(data.Name + "请保持在" + lens[0] + '位');
								} else {
									alert(data.Name + "请保持在" + lens[0] + '-' + lens[1] + '位');
								}
								return;
							}
						}
					}

					//数字验证
					if(data.Type == "n") {
						//判断为空
						if(val == "") {
							if(data.Null != undefined) {
								//自定义提示
								alert(data.Null);
								return;
							}
							alert(data.Name + '不能为空');
							return;
						}
						//判断是否为数字
						if(isNaN(val)) {
							alert(data.Name + "请输入数字类型");
							return;
						}
						//判断用户是否定正整数验证
						if(data.Zs == 1) {
							if(val.indexOf(".") != -1) {
								alert(data.Name + "请输入正整数");
								return;
							}
						}

						//判断数字是否有限制大小
						if(data.Len != undefined) {
							var lens = lb.ty.Split(data.Len, "-"); //拆分字符串长度
							var Num = lb.data.toInt(lens[0], 0);
							if(Num < lens[0] || Num > lens[1]) {
								if(lens[0] == lens[1]) {
									alert(data.Name + "需大于" + lens[0]);
								} else {
									alert(data.Name + "需保持在" + lens[0] + '-' + lens[1] + '之间');
								}
								return;
							}
						}
					}

					//手机验证
					if(data.Type == "m") {
						//判断为空
						if(val == "") {
							if(data.Null != undefined) {
								//自定义提示
								alert(data.Null);
								return;
							}
							alert(data.Name + '不能为空');
							return;
						}
						var iphone = lb.ty.Yzphone(val);
						if(iphone == false) {
							if(data.Err != undefined) {
								//自定义提示
								alert(data.Err);
								return;
							}
							alert(data.Name + '格式错误');
							return;
						}
					}

					//邮箱验证
					if(data.Type == "e") {
						//判断为空
						if(val == "") {
							if(data.Null != undefined) {
								//自定义提示
								alert(data.Null);
								return;
							}
							alert(data.Name + '不能为空');
							return;
						}
						var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\.[a-zA-Z0-9_-]{2,3}){1,2})$/;
						var Em = reg.test(val);
						if(Em == false) {
							if(data.Err != undefined) {
								//自定义提示
								alert(data.Err);
								return;
							}
							alert(data.Name + '格式错误');
							return;
						}
					}

					//日期格式
					if(data.Type == "data") {
						//判断为空
						if(val == "") {
							if(data.Null != undefined) {
								//自定义提示
								alert(data.Null);
								return;
							}
							alert(data.Name + '不能为空');
							return;
						}

						var ret = /^[0-9]{4}-[0-1]?[0-9]{1}-[0-3]?[0-9]{1}$/;
						if(ret == false) {
							if(data.Err != undefined) {
								//自定义提示
								alert(data.Err);
								return;
							}
							alert(data.Name + '日期格式错误');
							return;
						}
					}

					//对比是否相同
					if(data.Type == "db") {
						//判断为空
						if(val == "") {
							if(data.Null != undefined) {
								//自定义提示
								alert(data.Null);
								return;
							}
							alert(data.Name + '不能为空');
							return;
						}

						var vals = $("#" + data.dbId).val();
						if(vals != val) {
							if(data.Err != undefined) {
								//自定义提示
								alert(data.Err);
								return;
							}
							alert(data.Name + '不相同');
							return;
						}
					}

					if(!isNaN(val)) {
						obj += Ids[i] + ":" + val + ","
					} else {
						obj += Ids[i] + ":'" + val + "',"
					}
				}
				obj = obj.substring(0, obj.length - 1); //去掉最后一个逗号
				obj += "}";
				datas(obj);
			}
		},
		//模板数据处理
		/*
		 * data 对象
		 * replace 替换数组
		 * fun 返回字符串
		 */
		//		moban:function(moban,replace,len,fun){
		//			alert(replace[0])
		////			if(data.length<=0){return;}//空对象则停止
		////			var str="";
		//			for (var i = 0; i < len; i++) {
		//				moban.replace(//, replace[i])
		//			}
		//			alert(moban);
		////			fun(moban); 
		//		}
	},
	//提示基础类
	ts: {
		//普通提示
		alert: function(opt) {
			opt = $.extend(true, {
				title: '温馨提示',
				msg: '',
				buttons: ['确定']
			}, function(ret, err) {

			}, opt);
			api.alert(opt);
		},
		//弹出带两个或三个按钮的confirm对话框
		confirm: function(opt, show) {
			opt = $.extend(true, {
				title: '温馨提示',
				msg: '',
				buttons: ['确定', '取消']
			}, opt);

			api.confirm(opt, function(ret, err) {
				var index = ret.buttonIndex;
				show(index, err);
			});
		},
		//带输入框的弹出框
		prompt: function(opt, show) {
			opt = $.extend(true, {
				title: '请输入',
				msg: '', //描述：（可选项）内容
				text: '', //描述：（可选项）输入框里面的默认内容
				type: 'text', //取值范围（text、password、number、email、url）
				buttons: ['确定', '取消']
			}, opt);
			api.prompt(opt, function(ret, err) {
				//var index = ret.buttonIndex;
				//var text = ret.text;
				show(ret, err);
			});
		},
		//定时提示框
		toast: function(Texts, Ms, Types) {
			if(Types == 's') {
				Types = "top";
			}
			if(Types == 'z') {
				Types = "middle";
			}
			if(Types == 'x') {
				Types = "bottom";
			}
			if(Types == undefined) {
				Types = "bottom";
			}
			if(Ms == undefined) {
				Ms = lb.config.ms
			}
			api.toast({
				msg: '' + Texts + '',
				duration: Ms,
				location: '' + Types + ''
			});
		},
		//加载显示
		jiazaiShow: function(opt) {
			opt = $.extend(true, {
				style: 'default',
				animationType: 'fade',
				title: '正在处理',
				text: '请耐心等待...',
				modal: true
			}, opt);
			api.showProgress(opt);
		},
		//加载隐藏
		jiazaiHide: function() {
			api.hideProgress();
		},
		//弹出菜单
		actionSheet: function(opt, show) {
			opt = $.extend(true, {
				title: '请选择',
				cancelTitle: '取消',
				destructiveTitle: '', //红色警告按钮
				buttons: []
			}, opt);
			api.actionSheet(opt, function(ret, err) {
				var index = ret.buttonIndex;
				show(index);
			});
		}
	},
	//设备操作类
	sb: {
		//获取当前应用缓存
		Gethuancun: function() {
			var size = api.getCacheSize({
				sync: true
			});
			size = (size / 1048576); //除以1MB 字节单位
			return size;
		},

		//删除所有缓存文件
		Deletehuancun: function() {
			api.clearCache(function() {
				lb.Ts.toast('全部清理完成', lb.config.ms, "x");
			});
		},

		//获取当前手机号码
		getPhone: function() {
			var phoneNumber = api.getPhoneNumber({
				sync: true
			});
			return phoneNumber;
		},
		//设置应用图标右上角数字0清空
		tixinSum: function(sum) {
			var Su = lb.Data.toInt(sum, 0);
			api.setAppIconBadge({
				badge: Su
			});
		},
		//系统类型
		systemType: function() {
			var systemType = api.systemType;
			return systemType;
		},
		//系统类型
		systembanben: function() {
			var systemVersion = api.systemVersion;
			return systemVersion;
		},
		//是否支持沉浸式
		statusBar: function() {
			var statusBarAppearance = api.statusBarAppearance;
			return statusBarAppearance;
		},
		//存放文件路径 
		//iOS 平台下载的文件一般存放于该目录下，否则提交 AppStore 审核时可能会不通过，且此目录下的内容在手机备份时不会被备份
		SaveUrl: function() {
			var urls = api.cacheDir;
			return urls;
		},
		//头部沉浸式
		fixStatusBar: function(dom, show) {
//获取系统类型
	        var sysType = api.systemType;
	        //获取当前版本
	        var sv = api.systemVersion;
	        var tops = 0;
	        //是否支持沉浸式
	        if (api.statusBarAppearance) {
	            if (sysType == 'ios') {
	                //截取系统版本 第一位
	                var numSV = sv.charAt(0);
	                //IOS 7 以上才有沉浸式的内增高动作
	                if (numSV >= 7 && !api.fullScreen && api.statusBarAppearance) {
	                    $(dom).css({"padding-top": "20px"});
	                    tops = 20;
	                }
	            } else if (sysType == 'android') {
	                var _zhi = ('' + sv).replace(/\./g, '');
	                //android 4.4 以上才有沉浸式的内增高动作
	                if ((_zhi.length == 3 && _zhi >= 440) || (_zhi.length == 2 && _zhi >= 44)) {
	                    $(dom).css({"padding-top": "25px"});
	                    tops = 25;
	                }
	            }
	        }
	        if (show != undefined) {
			    show(tops);
			}
		},
		//网络设备监听
		wangluo: {
			//网络已连接
			OK: function() {
				api.addEventListener({
					name: 'online'
				}, function(ret, err) {
					lb.Prefs.set("network", {
						value: '连接'
					});
					lb.network.Type(); //刷新网络类型
				});
			},
			//监听网络连接断开
			ON: function() {
				api.addEventListener({
					name: 'offline'
				}, function(ret, err) {
					lb.Prefs.set("network", {
						value: '断开'
					});
					lb.network.Type(); //刷新网络类型
				});
			},
			//网络类型
			Type: function() {
				var connectionType = api.connectionType; //网络监听
				//		unknown 未知
				//		ethernet 以太网
				//		wifi wifi
				//		2g 2G网络
				//		3g 3G网络
				//		4g 4G网络
				//		none 无网络
				return connectionType;
			}
		},
		//底部边距监听
		dibujuliJT: function(m, show) {
			if(m == undefined) {
				m = 0;
			}
			api.addEventListener({
				name: 'scrolltobottom',
				extra: {
					threshold: m //设置距离底部多少距离时触发，默认值为0，数字类型
				}
			}, function(ret, err) {
				show(true);
			});
		},
		//获取当前版本号
		banbenhao:function(){
			return api.appVersion;
		},
		//加载下拉
		xialaShow:function(opt,show){
			opt=$.extend(true, {
				    visible: true,
				    loadingImg: 'widget://image/refresh.png',
				    bgColor: '#ccc',
				    textColor: '#fff',
				    textDown: '下拉刷新...',
				    textUp: '松开刷新...',
				    showTime: true
				},opt);
				
				api.setRefreshHeaderInfo(opt, function(ret, err) {
					show(ret, err);
				});
		},
		//隐藏加载下拉
		xialaHide:function(){
			api.refreshHeaderLoadDone();
		},
		/*
		 * 真实路径
		 * iOS系统，Android系统
		 * 平台下载的文件一般存放于该目录下
		 * 否则提交 AppStore 审核时可能会不通过，且此目录下的内容在手机备份时不会被备份
		 */
		xiazailujing:function(){
			var cacheDir = api.cacheDir; 
			return cacheDir;
		},
		
		/*
		 *下载更新
		 */
		xiazai:function(fun,banben){
			var urls="",Names="";//初始化
			
			//检测网络
			var wangluo = lb.sb.wangluo.Type(); //读取当前网络环境
			if(wangluo == "none") {
				lb.ts.toast("请连接网络后重试...");
				return;
			}
			
			//获取系统
			var xt=lb.sb.systemType();
			if(xt=="ios"){
				urls=lb.config.ios;//苹果下载地址
				Names=lb.config.iosName;//苹果声明
			}
			if(xt=="android"){
				urls=lb.config.Android;//安卓下载地址
				Names=lb.config.AndroidName;//安卓声明
			}
			
			//不能为空
			if(urls=="" || Names==""){
				lb.ts.alert({msg:'检测更新失败，请联系管理员。'});
				return;
			}
			
			//开始下载
			api.download({
			    url: ""+urls,
			    savePath:""+lb.sb.xiazailujing()+"/"+Names,//本地真实路径+自定义名称 /aa.apk
			    report: true,//下载过程是否上报
			    cache: true,//是否使用本地缓存
			    allowResume: true//是否允许断点续传
			}, function(ret, err) {
				fun(ret, err);
			});
		},
		//安装应用
		AnzhuangApp:function(url){
			var xt=lb.sb.systemType();//获取系统
			if(xt=="ios"){
				//iOS用法
				api.installApp({
				    appUri: url //安装包对应plist地址
				});
			}
			
			if(xt=="android"){
				//Android用法
				api.installApp({
				    appUri: url
				});
			}
		},
		//监听返回按钮
		JTfanhui:function(sbid,msgs,ms){
			//在想关闭的页面添加监听按钮即可
			var mkeyTime = new Date().getTime();
			//需要添加按键的监听
			api.addEventListener({
				name: "keyback"
			}, function(ret, err) {
				api.closeWidget();
			});
			api.addEventListener({
				name: "keyback"
			}, function(ret, err) {
				//如果当前时间减去标志时间大于2秒，说明是第一次点击返回键，反之为2秒内点了2次，则退出。
				if((new Date().getTime() - mkeyTime) > ms) {
					mkeyTime = new Date().getTime();
					api.toast({
						msg: msgs,
						duration: ms,
						location: 'bottom'
					});
				} else {
					api.closeWidget({
						id: sbid, //这里改成自己的应用ID
						retData: {
							name: 'closeWidget'
						},
						silent: true
					});
				}

			});
		},
		//监听点击状态栏
		ztl:{
			/*
			 在Android平台，使用极光推送发送通知、消息等类型推送时，
			 极光推送模块会往设备状态栏上发送通知，当通知被点击后，
			APICloud会将本次推送的内容通过事件监听回调的方式交给开发者。具体使用如下：
			 */
			Android:function(show){
				api.addEventListener({name:'appintent'}, function(ret,err) {
					show(ret,err);
				})
			},
			/*
			 在iOS平台，使用极光推送发送通知时，若应用在前台运行，
			 则推送内容可以通过setListener方法监听到，若应用在后台，
			 系统会往设备通知栏发送通知，当通知被点击后，
			 APICloud会将本次推送的内容通过事件监听回调的方式交给开发者。具体使用如下：
			*/
			ios:function(show){
				api.addEventListener({name:'noticeclicked'}, function(ret,err) {
					show(ret,err);
				});
			}
		}
	},
	//通用扩展功能
	ty: {
		//陈成随机数用户ID
		suijiUser: function(Sum) {
			if(Sum == undefined) {
				Sum = 6;
			} //默认6位
			var Num = "";
			var ZM = ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'm', 'n', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z'];
			for(var i = 0; i < Sum; i++) {
				if(i == 0) {
					Num += ZM[Math.floor(Math.random() * 10)];
				}
				Num += Math.floor(Math.random() * 10);
			}
			return Num;
		},
		//跨脚本执行
		execScript: function(opt) {
			opt = $.extend(true, {
				name: 'winName',
				frameName: 'frmName',
				script: 'test()'
			});
			api.execScript(opt);
		},
		//分割成数组
		Split: function(data, zifu) {
			var arr = new Array();
			if(data == undefined || data == "") {
				return arr;
			}
			//去掉字符串第一个截取字符
			if(data.charAt(0) == zifu) {
				data = data.substr(1);
			}
			//去掉字符串最后一个截取字符
			if(data.substr(-1) == zifu) {
				data = data.substring(0, data.length - 1);
			}
			//返回数据结果
			arr = data.split(zifu);
			return arr;
		},

		//相机
		camera: {
			dom: "", //追加元素
			biaoqian: "", //追加标签
			zhuijiaQH: 0, //图片追加拼接前后  0前 1后
			Sum: 1, //可上传图片
			imgs: [], //图片组
			//选择
			xuanze: function(opt) {
				//标题
				if(opt.title == undefined) {
					opt.title = '请选择图片来源';
				}
				//选项按钮
				if(opt.datas == undefined) {
					opt.datas = ['拍照', '相册'];
				}
				//可选择数量
				if(opt.sum == undefined) {
					opt.sum = 1;
				}
				//追加元素
				if(opt.dom != undefined) {
					lb.ty.camera.dom = opt.dom;
				}
				//追加元素标签
				if(opt.biaoqian != undefined) {
					lb.ty.camera.biaoqian = opt.biaoqian;
				}
				//图片追加拼接前后
				if(opt.zhuijiaQH != undefined) {
					lb.ty.camera.zhuijiaQH = opt.zhuijiaQH;
				}

				//是否自动上传
				if(opt.sc != undefined) {
					lb.ty.camera.zdsc = opt.sc;
				}

				api.actionSheet({
					title: opt.title,
					//destructiveTitle: '红色警告按钮',
					cancelTitle: '取消',
					buttons: opt.datas
				}, function(ret, err) {
					var bnt = ret.buttonIndex;
					if(bnt == 1) {
						lb.ty.camera.paishe(opt.sum);
					} //拍摄
					if(bnt == 2) {
						lb.ty.camera.xiangce(opt.sum);
					} //相册
				});

			},
			//拍摄
			paishe: function(sum) {
				// 打开拍照
				api.getPicture({
					sourceType: "camera", //图片库 library 相机 camera  相册 album  描述：（可选项）图片源类型，从相册、图片库或相机获取图片（详见图片源类型常量）
					encodingType: "jpg", //默认值：png 描述：（可选项）返回图片类型，jpg或png（详见图片编码类型常量）
					destinationType: "url", //描述：（可选项）返回数据类型，指定返回图片地址或图片经过base64编码后的字符串
					mediaValue: "pic", //默认值：pic 描述：（可选项）媒体类型，图片或视频（详见媒体类型常量）
					quality: 50, //描述：（可选项）图片质量，只针对jpg格式图片（0-100整数）
					saveToPhotoAlbum: false, //描述：（可选项）拍照或录制视频后是否保存到相册
					allowEdit: false //描述：（可选项）是否可以选择图片后进行编辑，支持iOS及部分安卓手机
				}, function(ret, err) {
					if(ret && ret.data) {
						var ImgUrl = ret.data; // 拍照返回的本地路径
						
						//判断是否超出上传图片数量限制
						if(lb.ty.camera.imgs.length >= sum) {
							lb.ts.toast("已超出上传图片数量限制");
							return;
						}

						//追加图片元素
						if(lb.ty.camera.dom != "" && lb.ty.camera.biaoqian != "") {
							var biaoq = lb.ty.camera.biaoqian;
							if(lb.ty.camera.zhuijiaQH == 0) {
								//zhuijiaQH 0追加前 默认0
								$(lb.ty.camera.dom).prepend(
									biaoq.replace(/_urls_/g, ImgUrl)
								);
							} else {
								//zhuijiaQH 1追加后
								$(lb.ty.camera.dom).append(
									biaoq.replace(/_urls_/g, ImgUrl)
								);
							}
						}
						//保存图片路径到数组
						lb.ty.camera.imgs[lb.ty.camera.imgs.length] = ImgUrl;
					}
				});
			},
			//相册
			xiangce: function(sum) {
				//判断是否超出上传图片数量限制
				if(lb.ty.camera.imgs.length >= sum) {
					lb.ts.toast("已超出上传图片数量限制");
					return;
				}
				var SYSum = lb.data.toInt((sum - lb.ty.camera.imgs.length), 0); //计算剩余可添加图片

				var uiMediaScanner = lb.bao.uiMediaScanner();
				uiMediaScanner.open({
					type: 'picture',
					column: 4,
					classify: true,
					max: SYSum, //剩余可添图片数量
					sort: {
						key: 'time',
						order: 'desc'
					},
					texts: {
						stateText: '已选择*张',
						cancelText: '取消',
						finishText: '完成'
					},
					styles: {
						bg: '#FFFFFF',
						mark: {
							icon: '',
							position: 'bottom_left',
							size: 20
						},
						nav: {
							bg: '#4385f6',
							stateColor: '#FFFFFF',
							stateSize: 18,
							cancelBg: 'rgba(0,0,0,0)',
							cancelColor: '#fff',
							cancelSize: 18,
							finishBg: 'rgba(0,0,0,0)',
							finishColor: '#FFFFFF',
							finishSize: 18
						}
					}
				}, function(ret) {
					//用户没有选择则不动
					if(ret.list.length <= 0) {
						return;
					}
					//循环选择数量
					for(var i = 0; i < ret.list.length; i++) {
						var selectImg = ret.list[i];
						var selectimgPath = selectImg.path; // 获取图片的路径
						if(lb.sb.systemType() == "ios") {
							// IOS转换为真实路径
							uiMediaScanner.transPath({
								path: selectimgPath
							}, function(transObj) {
								lb.ty.camera.imgs[lb.ty.camera.imgs.length] = transObj.path; //保存路径
							});
						} else {
							//安卓设备无需转换路径
							lb.ty.camera.imgs[lb.ty.camera.imgs.length] = selectimgPath; //保存路径
						}
					}
				});
			},
			//压缩条件
			yasuo: function() {
				//当前无待压缩图片则停止
				if(lb.ty.camera.DYS.length <= 0) {
					return;
				}
				lb.ts.jiazaiShow({
					title: '发布中'
				}); //显示进度
				//判断是否全部压缩完成
				if(lb.ty.camera.yasuoJS < lb.ty.camera.DYS.length) {
					lb.ty.camera.zhixingyasuo(); //执行压缩
				} else {
					//压缩结束后上传
					lb.ty.camera.shangchuan(); //执行上传图片
				}
			},
			//执行压缩
			zhixingyasuo: function() {
				// 压缩文件的保存目录
				var savePath = lb.sb.SaveUrl() + "/" + lb.ty.GetDatetime() + "/";
				// 压缩文件生成的随机文件名称
				var savename = lb.ty.suijishu() + "." + lb.ty.getExt(lb.ty.camera.DYS[lb.ty.camera.yasuoJS]);

				var imageFilter = lb.bao.imageFilter();
				imageFilter.compress({
					img: lb.ty.camera.DYS[lb.ty.camera.yasuoJS], // imgsrc：源图片的路径
					quality: 0.5, // quality：图片压缩质量，一般建议0.5
					scale: 0.5, // scale：图片压缩比例，也是建议0.5
					save: {
						album: false, //是否保存到系统相册
						imgPath: savePath,
						imgName: savename
					}
				}, function(ret, err) {
					if(ret.status) {
						//压缩成功
						lb.ty.camera.SAVE[lb.ty.camera.yasuoJS] = {
							Status: true,
							Url: savePath + savename
						};
						lb.ty.camera.yasuoJS = lb.ty.camera.yasuoJS + 1; //计数
						lb.ty.camera.yasuo(); //回调方法 一直循环全部
					} else {
						//压缩失败
						lb.ty.camera.SAVE[lb.ty.camera.yasuoJS] = {
							Status: false,
							Url: savePath + savename
						};
						lb.ty.camera.yasuoJS = lb.ty.camera.yasuoJS + 1; //计数
					}
				});
			},
			//上传服务端
			shangchuan: function() {
				lb.ts.jiazaiHide(); //隐藏加载
				//执行服务端
				lb.ajax(function(ret, err) {
					//		      		var data=eval('('+ret+')');
					//		      		if(ret.indexOf('200')<0){
					//		      			lb.Ts.toast("上传失败，"+data.ErrorMessage+"",2000,"x");
					//		      			return;
					//		      		}
					//		      		
					//		      		var imgs=lb.Data.JsonGet(data,"src","");
				}, "UploadPic", "post", {
					values: {
						"Userid": lb.login.Userid()
					},
					files: {
						"pic": lb.ty.camera.SAVE
					}
				}, {
					title: '上传中',
					text: '请耐心等待...',
					Upload: 1,
					Url: 'Server/Upload.aspx'
				});

			}
		},
		//获取当前的时间，拼接成2015-11-09这样的格式，主要用于对图片进行时间分类
		GetDatetime: function() {
			var date = new Date();
			var seperator1 = "-";
			var year = date.getFullYear();
			var month = date.getMonth() + 1;
			var strDate = date.getDate();
			if(month >= 1 && month <= 9) {
				month = "0" + month;
			}
			if(strDate >= 0 && strDate <= 9) {
				strDate = "0" + strDate;
			}
			var currentdate = year + seperator1 + month + seperator1 + strDate
			return currentdate;
		},
		//随机数生成
		suijishu: function() {
			function S4() {
				return(((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);
			}
			return(S4() + "-" + S4());
		},
		//获取文件拓展名
		getExt: function(fileName) {
			return fileName.substring(fileName.lastIndexOf('.') + 1);
		},
		//二维码扫描
		FNScanner: function() {
			var FNScanner = lb.bao.FNScanner();
			FNScanner.openScanner({
				autorotation: true
			}, function(ret, err) {
				if(ret) {
					alert(JSON.stringify(ret));
				} else {
					alert(JSON.stringify(err));
				}
			});
		},
		//输入框
		UIChatBox: function(show) {
			var UIChatBox = lb.bao.UIChatBox();
			UIChatBox.open({
				placeholder: '',
				maxRows: 4,
				emotionPath: 'widget://res/UIChatBox/emotion',
				texts: {
					recordBtn: {
						normalTitle: '按住说话',
						activeTitle: '松开结束'
					},
					sendBtn: {
						title: 'send'
					}
				},
				styles: {
					inputBar: {
						borderColor: '#d9d9d9',
						bgColor: '#f2f2f2'
					},
					inputBox: {
						borderColor: '#B3B3B3',
						bgColor: '#FFFFFF'
					},
					emotionBtn: {
						normalImg: 'widget://res/UIChatBox/face1.png'
					},
					extrasBtn: {
						normalImg: 'widget://res/UIChatBox/add1.png'
					},
					keyboardBtn: {
						normalImg: 'widget://res/UIChatBox/key1.png'
					},
					speechBtn: {
						normalImg: 'widget://res/UIChatBox/key1.png'
					},
					recordBtn: {
						normalBg: '#c4c4c4',
						activeBg: '#999999',
						color: '#000',
						size: 14
					},
					indicator: {
						target: 'both',
						color: '#c4c4c4',
						activeColor: '#9e9e9e'
					},
					sendBtn: {
						titleColor: '#4cc518',
						bg: '#999999',
						activeBg: '#46a91e',
						titleSize: 14
					}
				},
				extras: {
					titleSize: 10,
					titleColor: '#a3a3a3',
					btns: [{
						title: '图片',
						normalImg: 'widget://res/UIChatBox/album1.png',
						activeImg: 'widget://res/UIChatBox/album2.png'
					}, {
						title: '拍照',
						normalImg: 'widget://res/UIChatBox/cam1.png',
						activeImg: 'widget://res/UIChatBox/cam2.png'
					}]
				}
			}, function(ret, err) {
				show(ret, err);
			});
		},
		//验证是否手机号
		Yzphone: function(phone) {
			return !!phone.match(/^(0|86|17951)?(13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8}$/);
		}
	},
	//第三方扩展
	dsf: {
		//融云
		Rong: {
			//融云* 融云初始化
			ronginit: function() {
				var rong = lb.bao.rongCloud2();
				rong.init(function(ret, err) {
					if(ret.status == 'error') {
						api.alert({
							msg: err.code
						}); //初始化失败
						return false;
					} else {
						lb.Ts.toast("融云初始化成功", lb.config.ms, "x");
					}
				});
			},

			//融云* 新消息监听
			setOnReceiveMessageListener: function() {
				var rong = lb.bao.rongCloud2();
				rong.setOnReceiveMessageListener(function(ret, err) {
					lb.Jianting.set("NewMsgText", ret);
				})
			},

			//融云* 设置连接状态变化的监听器，请在调用 init 方法之后，调用 connect 方法之前设置 = 
			setConnectionStatusListener: function() {
				var rong = lb.bao.rongCloud2();
				rong.setConnectionStatusListener(function(ret, err) {
					lb.Ts.toast("监听器:" + ret.result.connectionStatus, lb.config.ms, "x");
				});
			},

			//融云* 用户连接 = 
			connect: function(UserTokey) {
				var rong = lb.bao.rongCloud2();
				//开始连接连接融云 IM 服务器
				rong.connect({
					//连接，用户登录失败或成功
					token: UserTokey
				}, function(ret, err) {
					//拿去用户ID
					if(ret.status == 'success') {
						lb.ts.toast("用户已连接");
						//ret.result.userId
					}
				});
			},
			//融云* 用户断开 = 
			rongUserduankai: function() {
				var rong = lb.bao.rongCloud2();
				rong.disconnect({
					isReceivePush: true
				}, function(ret, err) {
					if('success' == ret.status) {
						lb.ts.toast("断开连接成功");
					}
				});
			},

			//融云* 获取某一会话信息 = 
			getConversation: function(types, targetId, show) {
				var rong = lb.bao.rongCloud2();
				rong.getConversation({
					conversationType: '' + types + '',
					targetId: '' + targetId + ''
				}, function(ret, err) {
					show(ret);
				});
			},

			//融云* 发送消息 = 
			sendTextMessage: function(types, id, TextMsg, show) {
				//PRIVATE 单聊
				//DISCUSSION 讨论组
				//GROUP 群组
				//CHATROOM 聊天室
				//CUSTOMER_SERVICE 客服
				//SYSTEM 系统
				var rong = lb.bao.rongCloud2(); //var	rong = api.require('rongCloud2');
				rong.sendTextMessage({
					conversationType: '' + types + '',
					targetId: '' + id + '', //目标ID	
					text: '' + TextMsg + '',
					extra: ''
				}, function(ret, err) {
					show(ret); //回调方法
				});
			},

			//  =融云* 获取会话列表  = 
			getConversationList: function(Show) {
				var rong = lb.bao.rongCloud2();
				rong.getConversationList(function(ret, err) {
					Show(ret);
				});
			},

			//融云* 移除指定会话 从会话列表中移除某一会话，但是不删除会话内的消息 = 
			removeConversation: function(types, targetId, show) {
				var rong = lb.bao.rongCloud2();
				rong.removeConversation({
					conversationType: '' + types + '',
					targetId: '' + targetId + ''
				}, function(ret, err) {
					show(ret);
				})
			},

			//融云* 清空所有会话及会话消息 = 
			clearConversations: function(array, show) {
				// ['PRIVATE', 'GROUP','SYSTEM']
				var rong = lb.bao.rongCloud2();
				rong.clearConversations({
					conversationTypes: array
				}, function(ret, err) {
					show(ret);
				});
			},

			//  =融云* 获取所有未读消息数 = 
			getTotalUnreadCount: function(show) {
				var rong = lb.bao.rongCloud2();
				rong.getTotalUnreadCount(function(ret, err) {
					show(ret);
				});
			},

			//  =融云* 获取来自某用户（某会话）的未读消息数 = 
			getUnreadCount: function(types, targetId, show) {
				var rong = lb.bao.rongCloud2();
				rong.getUnreadCount({
					conversationType: '' + types + '',
					targetId: '' + targetId + ''
				}, function(ret, err) {
					show(ret);
				});
			},

			//融云* 获取某（些）会话类型的未读消息数 = 
			getUnreadCountByConversationTypes: function() {
				var rong = lb.bao.rongCloud2();
				rong.getUnreadCountByConversationTypes({
					conversationTypes: ['PRIVATE', 'GROUP']
				}, function(ret, err) {
					api.toast({
						msg: ret.result
					});
				})
			},

			//融云* 获取某一会话的最新消息记录 = 
			getLatestMessages: function(opt) {
				var rong = lb.bao.rongCloud2();
				opt = $.extend(true, {
					conversationType: 'PRIVATE',
					targetId: '',
					count: 20,
					fun: function(ret, err) {}
				}, opt);
				rong.getLatestMessages(opt);
			},

			//融云* 获取某一会话的历史消息记录 = 
			getHistoryMessages: function(types, targetId, Sum, show) {
				var rong = lb.bao.rongCloud2();
				rong.getHistoryMessages({
					conversationType: '' + types + '',
					targetId: '' + targetId + '',
					oldestMessageId: 688,
					count: Sum
				}, function(ret, err) {
					show(ret);
				})
			},

			//融云* 清除某一会话的消息未读状态  
			clearMessagesUnreadStatus: function(types, targetId, show) {
				var rong = lb.bao.rongCloud2();
				rong.clearMessagesUnreadStatus({
					conversationType: '' + types + '',
					targetId: '' + targetId + ''
				}, function(ret, err) {
					show(ret);
				})
			}
		},
		//分享
		fenxiang: {
			//微信
			wx: {
				//微信检测是否安装客户端
				init: function() {
					var wx = lb.bao.wx();
					wx.isInstalled(function(ret, err) {
						if(ret.installed) {
							return true;
						} else {
							return false;
						}
					});
				},
				//分享文本内容
				shareText: function(text) {
					if(lb.fenxiang.wx.init() == false) {
						lb.ts.alert({
							msg: '您没有安装微信客户端'
						});
						return;
					}
					var wx = lb.bao.wx();
					wx.shareText({
						apiKey: '',
						scene: 'timeline',
						text: text
					}, function(ret, err) {
						if(ret.status) {
							lb.ts.alert({
								msg: '分享成功'
							});
						} else {
							lb.ts.alert({
								msg: '分享失败错误' + err.code
							});
						}
					});
				},
				//分享图片内容
				shareImage: function(types, imgurl) {
					if(lb.fenxiang.wx.init() == false) {
						lb.ts.alert({
							msg: '您没有安装微信客户端'
						});
						return;
					}
					var wx = lb.bao.wx();
					wx.shareImage({
						apiKey: '',
						scene: types, //session（会话）timeline（朋友圈）favorite（收藏）
						thumb: imgurl, //描述：缩略图片的地址，支持 fs://、widget:// 协议。大小不能超过32K，若 contentUrl 为本地图片地址则本参数忽略,需要路径包含图片格式后缀，否则如果原图片为非png格式，会分享失败
						contentUrl: imgurl //分享图片的 url 地址（支持 fs://、widget:// 和网络路径），长度不能超过10k，在 android 平台上若为网络图片时仅当 scene 为 session 时有效，iOS 平台上不支持网络图片地址，若为本地图片大小不能超过10M
					}, function(ret, err) {
						if(ret.status) {
							lb.ts.alert({
								msg: '分享成功'
							});
						} else {
							lb.ts.alert({
								msg: '分享失败错误' + err.code
							});
						}
					});
				},
				//分享网页
				shareWebpage: function(types, title, miaoshu, imgurl, url) {
					if(lb.fenxiang.wx.init() == false) {
						lb.ts.alert({
							msg: '您没有安装微信客户端'
						});
						return;
					}
					var wx = lb.bao.wx();
					wx.shareWebpage({
						apiKey: '',
						scene: types, //session（会话）timeline（朋友圈）favorite（收藏）
						title: title,
						description: miaoshu,
						thumb: imgurl, //（可选项）分享网页的缩略图地址，要求本地路径（fs://、widget://）大小不能超过32K,需要路径包含图片格式后缀，否则如果原图片为非png格式，会分享失败
						contentUrl: url //描述：（可选项）分享网页的 url 地址，长度不能超过10k。
					}, function(ret, err) {
						if(ret.status) {
							lb.ts.alert({
								msg: '分享成功'
							});
						} else {
							lb.ts.alert({
								msg: '分享失败错误' + err.code
							});
						}
					});
				},
				//登陆授权
				login: function() {
					if(lb.fenxiang.wx.init() == false) {
						lb.ts.alert({
							msg: '您没有安装微信客户端'
						});
						return;
					}
					var wx = lb.bao.wx();
					wx.auth({
						apiKey: ''
					}, function(ret, err) {
						if(ret.status) {
							alert(JSON.stringify(ret));
						} else {
							alert(err.code);
						}
					});
				},
				//获取授权 accessToken（需要登录授权成功）
				getToken: function() {
					if(lb.fenxiang.wx.init() == false) {
						lb.ts.alert({
							msg: '您没有安装微信客户端'
						});
						return;
					}
					var wx = lb.bao.wx();
					wx.getToken({
						apiKey: '',
						apiSecret: '',
						code: ''
					}, function(ret, err) {
						if(ret.status) {
							alert(JSON.stringify(ret));
						} else {
							alert(err.code);
						}
					});
				},
				//获取用户信息（需要获取 accessToken 成功）
				getUserInfo: function() {
					if(lb.fenxiang.wx.init() == false) {
						lb.ts.alert({
							msg: '您没有安装微信客户端'
						});
						return;
					}
					var wx = lb.bao.wx();
					wx.getUserInfo({
						accessToken: '',
						openId: ''
					}, function(ret, err) {
						if(ret.status) {
							alert(JSON.stringify(ret));
						} else {
							alert(err.code);
						}
					});
				},
				//调用 getUserInfo 接口错误码返回1时，代表 accessToken 过期，调用此接口刷新 accessToken
				refreshToken: function() {
					if(lb.fenxiang.wx.init() == false) {
						lb.ts.alert({
							msg: '您没有安装微信客户端'
						});
						return;
					}
					var wx = lb.bao.wx();
					wx.refreshToken({
						apiKey: '',
						dynamicToken: ''
					}, function(ret, err) {
						if(ret.status) {
							alert(JSON.stringify(ret));
						} else {
							alert(err.code);
						}
					});
				}
			},
			QQ: {
				//检测安装
				anzhuang: function() {
					var qq = lb.bao.qq();
					qq.installed(function(ret, err) {
						if(ret.status) {
							return true;
						} else {
							return false;
						}
					});
				},

				//分享文本
				wenben: function(neirong) {
					var qq = lb.bao.qq();
					qq.shareText({
						text: neirong
					}, function(ret, err) {
						if(ret.status == true) {
							lb.ts.alert({
								msg: '分享成功'
							});
						}
					});
				}

			}
		},
		//短信
		Duanxin: {

			//初始化
			init: function() {
				var smsVerify = lb.bao.smsVerify();
				smsVerify.register(function(ret, err) {
					if(ret.status) {
						//api.alert({msg: '注册成功'});
					} else {
						api.alert({
							msg: err.code + '注册失败'
						});
					}
				});
			},
			//发送短信
			sms: function(phone, fun) {
				var smsVerify = lb.bao.smsVerify();
				smsVerify.sms({
					phone: phone,
					country: "86"
				}, function(ret, err) {
					if(ret.status) {
						if(ret.smart == true) { // 安卓版特有功能 智能验证
							fun(1); //智能验证 直接验证后的代码
						} else {
							fun(2); //短信发送成功
						}
					} else {
						api.alert({
							msg: err.code + ' ' + err.msg
						});
					}
				});
			},
			//短信验证
			verify: function(phone, code, fun) {
				var smsVerify = lb.bao.smsVerify();
				smsVerify.verify({
					phone: phone,
					code: code
				}, function(ret, err) {
					if(ret.status) {
						fun('验证成功');
					} else {
						fun('验证失败');
						lb.ts.alert({
							title: '很抱歉',
							msg: err.msg
						});
					}
				});
			}
		},
		//系统默认分享
		shareAction: function(opt) {
			var shareAction = lb.bao.shareAction();
			opt=$.extend(true, {
				text: '分享内容', //（可选项）要分享的文本信息
				type: 'text', //text  image  audio  file 分享文件的类型（iOS系统微信不支持纯文字的分享）
				path: 'fs://', //描述：（可选项）分享文件的路径，要求本地路径（fs://、widget://）。若 images 不为空则模块忽略本参数。Android 平台不支持 widget:// 路径
				images: 'fs://' //描述：（可选项）分享的图片路径组成的数组，仅当 type 为 image 时有效；要求本地路径（fs://、widget://）。若本参数不为空则模块忽略 path 参数。仅支持 iOS 平台
			}, opt);
			shareAction.share(opt);
		},
		//极光推送
		jg: {
			//初始化
			ajpush: function() {
				//引入极光包
				var ajpush = api.require('ajpush');
				return ajpush;
			},
			//初始化
			init: function() {
				var ajpush = lb.jg.ajpush();
				ajpush.init(function(ret) {
					if(ret && ret.status) {
						lb.ts.toast("极光：" + JSON.stringify(ret));
						//success
					}
				});
			},
			//设置消息监听，若iOS应用在前台运行，此时收到推送后也通过此方法回调
			setListener: function(fun) {
				var ajpush = lb.jg.ajpush();
				ajpush.setListener(function(ret) {
					fun(ret);
				});
			},
			//移除消息监听
			removeListener: function() {
				var ajpush = lb.jg.ajpush();
				ajpush.removeListener();
			},
			//绑定用户别名和标签。服务端可以指定别名和标签进行消息推送
			bindAliasAndTags: function(param) {
				//var param = {alias:'libo',tags:['lb1','lb2']};
				var ajpush = lb.jg.ajpush();
				ajpush.bindAliasAndTags(param, function(ret) {
					//alert("绑定别名："+JSON.stringify(ret))
				});
			},
			//通知极光推送SDK当前应用恢复到前台。
			onResume: function() {
				api.addEventListener({
					name: 'resume'
				}, function(ret, err) {
					var ajpush = lb.jg.ajpush();
					ajpush.onResume();
				});
			},
			//通知极光推送SDK当前应用退入到后台
			onPause: function() {
				api.addEventListener({
					name: 'pause'
				}, function(ret, err) {
					var ajpush = lb.jg.ajpush();
					ajpush.onPause();
				});
			},
			//清除极光推送发送到状态栏的通知。
			//待清除的通知id（等同于消息ID），为-1时清除所有，iOS只支持清除所有，不能为空
			clearNotification: function() {
				var ajpush = lb.jg.ajpush();
				var param = {
					id: -1
				};
				ajpush.clearNotification(param, function(ret) {
					if(ret && ret.status) {
						//success
					}
				});
			},
			//设置允许推送时间，只Android有效
			//允许推送的日期，0表示星期天，1表示星期一，以此类推，（7天制，数组里面的每项范围为0到6），不能为空
			setPushTime: function() {
				var ajpush = lb.jg.ajpush();
				var params = {};
				params.days = [1, 2];
				params.startHour = 8; //允许推送的开始时间（24小时制：startHour的范围为0到23），不能为空
				params.endHour = 20; //允许推送的结束时间（24小时制：endHour的范围为0到23），不能为空
				ajpush.setPushTime(params, function(ret) {
					if(ret && ret.status) {
						//success
					}
				});
			},
			//设置通知静默时间，只Android有效
			setSilenceTime: function() {
				var ajpush = lb.jg.ajpush();
				var params = {}; //静音时段的开始小时（24小时制，范围：0~23），不能为空
				params.startHour = 8; //静音时段的开始小时（24小时制，范围：0~23），不能为空
				params.startMinute = 0; //静音时段的开始分钟（范围：0~59），不能为空
				params.endHour = 20; //静音时段的结束小时（24小时制，范围：0~23），不能为空
				params.endMinute = 59; //静音时段的结束分钟（范围：0~59），不能为空
				ajpush.setPushTime(params, function(ret) {
					if(ret && ret.status) {
						//success
					}
				});
			},
			//停止Push推送。
			stopPush: function() {
				var ajpush = lb.jg.ajpush();
				ajpush.stopPush(function(ret) {
					if(ret && ret.status) {
						//操作成功状态值，1-成功，0-失败
						//success
					}
				});
			},
			//恢复Push推送。
			resumePush: function() {
				var ajpush = lb.jg.ajpush();
				ajpush.resumePush(function(ret) {
					if(ret && ret.status) {
						//操作成功状态值，1-成功，0-失败
						//success
					}
				});
			},
			//查询当前推送服务是否停止。
			isPushStopped: function() {
				var ajpush = lb.jg.ajpush();
				ajpush.isPushStopped(function(ret) {
					if(ret && ret.isStopped) {
						//推送服务是否停止状态，1-停止，0-未停止
					}
				});
			},
			//设置应用图标右上角数字，只iOS有效。
			//为0时清除应用图标数字，大于0时设置应用图标数字，同时该值会更新到激光推送服务器，不能为空
			setBadge: function() {
				var ajpush = lb.jg.ajpush();
				ajpush.setBadge({
					badge: 0
				});
			},
			//集成了JPush SDK的应用程序在第一次成功注册到JPush服务器时，
			//JPush服务器会给客户端返回一个唯一的该设备的标识RegistrationID。
			//JPush SDK会以广播的形式发送RegistrationID到应用程序。
			//应用程序可以把此RegistrationID保存于自己的应用服务器上，
			//然后就可以根据 RegistrationID来向设备推送消息或者通知
			getRegistrationId: function(show) {
				var ajpush = lb.jg.ajpush();
				ajpush.getRegistrationId(function(ret) {
					show(ret);
				});
			},
			/*
			 在Android平台，使用极光推送发送通知、消息等类型推送时，
			 极光推送模块会往设备状态栏上发送通知，当通知被点击后，
			 APICloud会将本次推送的内容通过事件监听回调的方式交给开发者。具体使用如下：
			 */
			AndroidJT: function(show) {
				api.addEventListener({
					name: 'appintent'
				}, function(ret, err) {
					show(ret, err);
				});
			},
			/*
			 在iOS平台，使用极光推送发送通知时，若应用在前台运行，
			 则推送内容可以通过setListener方法监听到，若应用在后台，
			 系统会往设备通知栏发送通知，当通知被点击后，
			 APICloud会将本次推送的内容通过事件监听回调的方式交给开发者。具体使用如下：
			*/
			iosJT: function(show) {
				api.addEventListener({
					name: 'noticeclicked'
				}, function(ret, err) {
					show(ret, err);
					//		    if(ret && ret.value){
					//		        var ajpush = ret.value;
					//		        var content = ajpush.content;
					//		        var extra = ajpush.extra;
					//		    }
				})
			}
		},
		//X5引擎浏览器
		OpenUrl: function(urls) {
			browser.open({
				url: urls
			});
		},
		login:{
			weixin:{
				//登录授权，用于换取 accessToken  
				auth:function(show){
					var wx=lb.bao.wx();
					wx.isInstalled(function(ret, err) {
					    if (ret.installed) {
					    	wx.auth({
							    apiKey: ''
							}, function(retb, errb) {
								if (retb.status) {
							    	lb.data.set("wx_accessToken",retb.code);
							    	if(retb.code!=""){
								    	lb.dsf.login.weixin.getToken(function(rets,errs){
								    		show(rets,errs);
								    	});
							    	}
							    }
							});
					    } else {
					    	lb.ts.alert({msg:'当前设备未安装微信客户端'});
					    }
					});
				},
				//获取授权 accessToken（需要登录授权成功）
				getToken:function(show){
					var wx=lb.bao.wx();
					wx.getToken({
					    apiKey: '',
					    apiSecret: '',
					    code: lb.data.get("wx_accessToken")//通过 auth 接口授权成功后返回的 code 参数
					}, function(ret, err) {
//						status: true,      //布尔型；true||false
//					  	accessToken: '',   //字符串类型；接口调用凭证，传给 getUserInfo 接口 获取用户信息；有效期2小时
//					  	dynamicToken: '',  //字符串类型；当 accessToken 过期时把该值传给 refreshToken 接口刷新 accessToken 的有效期。dynamicToken 的有效期为30天
//					  	expires: 7200,     //数字类型；accessToken 有效期，单位（秒）
//					  	openId: ''         //字符串类型；授权用户唯一标识
					    if (ret.status) {
					    	lb.data.set("wx_accessToken",ret.accessToken);
					    	lb.data.set("wx_openId",ret.openId);
					    	//读取用户ID
					    	show(ret, err);
					    } else {
					        //alert("getToken异常："+err.code);
					    }
					});
				},
				//获取用户信息（需要获取 accessToken 成功）
				getUserInfo:function(show){
					wx.getUserInfo({
					    accessToken:""+ lb.data.get("wx_accessToken"),
					    openId: ""+lb.data.get("wx_openId")
					}, function(ret, err) {
						show(ret, err);
//					        status: true,      //布尔型；true||false
//						    openid: '',        //字符串类型；普通用户的标识，对当前开发者帐号唯一
//						    nickname: '',      //字符串类型；普通用户昵称
//						    sex: 1,            //数字类型；普通用户性别，1为男性，2为女性
//						    headimgurl: '',    //字符串类型；用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空
//						    privilege: [],     //数组类型；用户特权信息，如微信沃卡用户为（chinaunicom）
//						    unionid: ''        //字符串类型；用户统一标识。针对一个微信开放平台帐号下的应用，同一用户的unionid是唯一的。
//			 				code: 0     //数字类型；
//			                //错误码：
//			                //-1（未知错误），
//			                //0 （成功）,
//			                //1 （accessToken 过期）,
//			                //2  (openId非法),
//			                //3  (openId值为空),
//			                //4     (accessToken值为空),
//			                //5     (accessToken非法)
//			                //6     (网络超时)
					});
				}
			},
			QQ:{
				//登录
				login:function(show){
					var qq=lb.bao.qq();
					qq.installed(function(ret, err) {
					    if (ret.status) {
					        qq.login(function(rets, errs) {
					        	if(rets.status){
					        		lb.data.set("qq_openId",rets.openId);
					        		lb.data.set("qq_accessToken",rets.accessToken);
					        		lb.dsf.login.QQ.getUserInfo(function(retss,errss){
					        			show(retss,errss);
					        		});
					        	}
							});
					    } else {
					        lb.ts.alert({msg:'当前设备未安装QQ客户端'});
					    }
					});
				},
				//获取用户信息
				getUserInfo:function(show){
					var qq=lb.bao.qq();
					qq.getUserInfo(function(ret, err) {
						show(ret,err);
					});
				}
			}
		},
		//支付
		zhifu:{
			//微信支付
			weixin:{
				
			},
			//支付宝支付
			zhifubao:{
				//调用支付宝客户端支付
				payOrder:function(){
					var aliPay=lb.bao.zhifubao();	
					aliPay.payOrder({
					    orderInfo: 'partner="2088101568358171"&seller_id="xxx@alipay.com"&out_trade_no="0819145412-6177"&subject="测试"&body="测试测试"&total_fee="0.01"&notify_url="http://notify.msp.hk/notify.htm"&service="mobile.securitypay.pay"&payment_type="1"&_input_charset="utf-8"&it_b_pay="30m"&sign="lBBK%2F0w5LOajrMrji7DUgEqNjIhQbidR13GovA5r3TgIbNqv231yC1NksLdw%2Ba3JnfHXoXuet6XNNHtn7VE%2BeCoRO1O%2BR1KugLrQEZMtG5jmJIe2pbjm%2F3kb%2FuGkpG%2BwYQYI51%2BhA3YBbvZHVQBYveBqK%2Bh8mUyb7GM1HxWs9k4%3D"&sign_type="RSA"'
					}, function(ret, err) {
					    api.alert({
					        title: '支付结果',
					        msg: ret.code,
					        buttons: ['确定']
					    });
					});
				}
			}
		}

	},
	refresh: function(show) {
		api.setRefreshHeaderInfo({
		    visible: true,
		    loadingImg: 'widget://image/refresh.png',
		    bgColor: '#ccc',
		    textColor: '#fff',
		    textDown: '下拉刷新...',
		    textUp: '松开刷新...',
		    showTime: true
		}, function(ret, err) {
			show(ret.value);
		    //在这里从服务器加载数据，加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
		});
	},
	moreData:function(isshow){
		if(isshow!=""){
			isshow="display:"+isshow;
		}
		var html='<div class="downMore" style="'+isshow+'"><i><img src="../../image/loading.gif" width="15" /></i><span>下拉加载更多</span></div>'
		$(".downMoreBox").html(html);
	},
    cjs: function(dom, _f) {
		//获取系统类型
		var sysType = api.systemType;
		//获取当前版本
		var sv = api.systemVersion;
		var _paddingTop = 0;
		//是否支持沉浸式
		if (api.statusBarAppearance) {
			if (sysType == 'ios') {
				//截取系统版本 第一位
				var numSV = sv.charAt(0);
				//IOS 7 以上才有沉浸式的内增高动作
				if (numSV >= 7 && !api.fullScreen && api.statusBarAppearance) {
					$(dom).css({
						"padding-top": "20px"
					});
					_paddingTop = 20;
				}
			} else if (sysType == 'android') {
				var _zhi = ('' + sv).replace(/\./g, '');
				//alert(_zhi);
				//android 4.4 以上才有沉浸式的内增高动作
				if ((_zhi.length == 3 && _zhi >= 440) || (_zhi.length == 2 && _zhi >= 44)) {
					$(dom).css({
						"padding-top": "25px"
					});
					_paddingTop = 25;
				}
			}
		}
		if (_f != undefined && typeof (_f) == 'function') _f(_paddingTop);
	},
    cjs2: function() {
        //获取系统类型
        var sysType = api.systemType;
        //获取当前版本
        var sv = api.systemVersion;
        var _paddingTop = 0;
        //是否支持沉浸式
        if (api.statusBarAppearance) {
            if (sysType == 'ios') {
                //截取系统版本 第一位
                var numSV = sv.charAt(0);
                //IOS 7 以上才有沉浸式的内增高动作
                if (numSV >= 7 && !api.fullScreen && api.statusBarAppearance) {
                    _paddingTop = 20;
                }
            } else if (sysType == 'android') {
                var _zhi = ('' + sv).replace(/\./g, '');
                //alert(_zhi);
                //android 4.4 以上才有沉浸式的内增高动作
                if ((_zhi.length == 3 && _zhi >= 440) || (_zhi.length == 2 && _zhi >= 44)) {
                    _paddingTop = 25;
                }
            }
        }
        return _paddingTop
    }
};


/* 日期操作 */
var zDate = {
    /* 日期、时间格式化 返回两位数 */
    twotimefun: function(d){
        if (d < 10){
            return "0"+d;
        }else {
            return d;
        }
    },
    /*
    * 传 time 返回指定时间
    * type="data" 或 type 为空 返回当前日期
    * type="time" 返回当前时间
    * type="datatime" 返回当前日期加时间
    */
    getNowdata: function (type,time) {
        var myDate = new Date();
        if (time != undefined && time != "") {
            myDate = new Date(time);
        }
        var year = myDate.getFullYear();
        var month = zDate.twotimefun(myDate.getMonth() + 1);
        var date = zDate.twotimefun(myDate.getDate());
        var Hours = zDate.twotimefun(myDate.getHours())
        var Minutes = zDate.twotimefun(myDate.getMinutes())
        var Seconds = zDate.twotimefun(myDate.getSeconds())
        if (type == undefined || type == "data"){
            return year + "-" + month + "-" + date;
        }
        if (type == "datatime"){
            return year+"-"+month+"-"+date+" "+Hours+":"+Minutes+":"+Seconds;
        }
        if (type == "time"){
            return Hours+":"+Minutes+":"+Seconds;
        }
    },
    /* 获取星期 */
    getNowWeek: function () {
        var week = new Date().getDay();
        var list = ["星期一", "星期二", "星期三", "星期四", "星期五", "星期六", "星期日"]
        return list[week - 1];
    },
    /* 秒转成 时分秒 */
    formatSeconds: function(value) {
        var theTime = parseInt(value);// 秒
        var theTime1 = 0;// 分
        var theTime2 = 0;// 小时
        if(theTime > 60) {
            theTime1 = parseInt(theTime/60);
            theTime = parseInt(theTime%60);
            if(theTime1 > 60) {
                theTime2 = parseInt(theTime1/60);
                theTime1 = parseInt(theTime1%60);
            }
        }
        var result;
        if (theTime > 0){
            result = zDate.twotimefun(parseInt(theTime));
        }else {
            result = "00"
        }
        if(theTime1 > 0) {
            result = zDate.twotimefun(parseInt(theTime1))+":"+result;
        }else {
            result = "00:"+result;
        }
        if(theTime2 > 0) {
            result = zDate.twotimefun(parseInt(theTime2))+":"+result;
        }else {
            result = "00:"+result;
        }
        return result;
    }
}
